# `Trilinos_jll.jl` (v14.4.0+2)

[![deps](https://juliahub.com/docs/Trilinos_jll/deps.svg)](https://juliahub.com/ui/Packages/Trilinos_jll/V9I31?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/909226e4e81d88b34a7ec4ccbbbe1f3a7422f800/T/Trilinos/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `Trilinos_jll.jl` have been built from these sources:

* git repository: https://github.com/trilinos/Trilinos.git (revision: `975307431d60d0859ebaa27c9169cbb1d4287513`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/909226e4e81d88b34a7ec4ccbbbe1f3a7422f800/T/Trilinos/bundled)
* compressed archive: https://github.com/phracker/MacOSX-SDKs/releases/download/11.3/MacOSX11.3.sdk.tar.xz (SHA256 checksum: `cd4f08a75577145b8f05245a2975f7c81401d75e9535dcffbb879ee1deefcbf4`)

## Platforms

`Trilinos_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-apple-darwin-libgfortran5-mpi+mpich`)
* `macOS aarch64 {libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-apple-darwin-libgfortran5-mpi+mpitrampoline`)
* `macOS aarch64 {libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran5-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran5-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran5-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran5-cxx11-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran5-cxx03-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran5-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran5-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran5-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran5-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran5-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran5-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran5-cxx11-mpi+openmpi`)
* `Windows i686 {cxxstring_abi=cxx03, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran5-cxx03-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx11, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran5-cxx11-mpi+microsoftmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran5-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-apple-darwin-libgfortran5-mpi+mpitrampoline`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran5-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran5-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran5-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran5-cxx11-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran5-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran5-mpi+openmpi`)
* `Windows x86_64 {cxxstring_abi=cxx03, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran5-cxx03-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx11, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran5-cxx11-mpi+microsoftmpi`)

## Dependencies

The following JLL packages are required by `Trilinos_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`Kokkos_jll`](https://github.com/JuliaBinaryWrappers/Kokkos_jll.jl)
* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)
* [`MPItrampoline_jll`](https://github.com/JuliaBinaryWrappers/MPItrampoline_jll.jl)
* [`Matio_jll`](https://github.com/JuliaBinaryWrappers/Matio_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)
* [`NetCDF_jll`](https://github.com/JuliaBinaryWrappers/NetCDF_jll.jl)
* [`OpenMPI_jll`](https://github.com/JuliaBinaryWrappers/OpenMPI_jll.jl)
* [`SuiteSparse_jll`](https://github.com/JuliaBinaryWrappers/SuiteSparse_jll.jl)
* [`libblastrampoline_jll`](https://github.com/JuliaBinaryWrappers/libblastrampoline_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libamesos`
* `LibraryProduct`: `libaztecoo`
* `LibraryProduct`: `libbelos`
* `LibraryProduct`: `libbelosepetra`
* `LibraryProduct`: `libepetra`
* `LibraryProduct`: `libepetraext`
* `LibraryProduct`: `libifpack`
* `LibraryProduct`: `libisorropia`
* `LibraryProduct`: `libloca`
* `LibraryProduct`: `liblocaepetra`
* `LibraryProduct`: `liblocalapack`
* `LibraryProduct`: `libnox`
* `LibraryProduct`: `libnoxepetra`
* `LibraryProduct`: `libnoxlapack`
* `LibraryProduct`: `libsacado`
* `LibraryProduct`: `libteuchoscomm`
* `LibraryProduct`: `libteuchoscore`
* `LibraryProduct`: `libteuchosnumerics`
* `LibraryProduct`: `libteuchosparameterlist`
* `LibraryProduct`: `libteuchosremainder`
* `LibraryProduct`: `libtrilinoscouplings`
* `LibraryProduct`: `libtrilinosss`
* `LibraryProduct`: `libtriutils`
* `LibraryProduct`: `libzoltan`
